Затмение Juno ADT плагин NDK путь удалены ?

? UnTraDe @ | Original: StackOverFlow
---

Я не могу найти опцию установки пути NDK на Eclipse, Юноны с ADT плагин. ( Я скачал вчераADT Bundle от Android сайта).

Все говорят, что я должен найти его в Windows -> Preferences - > Android -> NDK, новариант NDK под Android просто не существует. Может быть, они изменили свое расположение в последней версии ? Во всяком случае я не могу показаться, чтобы найти способ, чтобы изменить путь NDK в моей Eclipse.

Фото :  Затмение Juno ADT плагин NDK путь удалены ?

Я чувствую, что я что-то действительно очевидное здесь не хватает ...

---

Top 5 ответ

1user1667823 @

Вы должны повторно установитьADT-23.0.4.zip (Не забудьте выбрать Инструменты Android Native развития ) ;  http://developer.android.com/sdk/installing/installing-adt.html#Troubleshooting .

You should:

Download ADT-23.0.4.zip. Just re-install. Restart. You will see Eclipse > Window > Android > NDK tag. 2Gabo @

Я была такая же проблема, я не знаю, почему, но проблемы это с версией Eclipse, / Juno, так я загрузить на странице затменияКеплер версию и установить pluggin из ADT, и все работает просто отлично.

3frihatt @

Я столкнулся с той же проблемой. Досадно было тратить эти несколько часов, но я предполагаю, что я понял это. То, что я сделал, было ,

Схватил файл com.android.ide.eclipse.ndk_22.3.0.v201310242005-887826.jar от старшего ADT установки я имел, который показал возможность NDK из папки eclipseplugins .

Переименовал его в com.android.ide.eclipse.ndk_23.0.2.1259578.jar .

Вставил его в adt-bundle-windows-x86_64-20140702eclipseplugins

Перезапущен Eclipse.

Hi NDK!

Я надеюсь, что это не вызовет каких-либо проблем в будущем !

4tryer3000 @

Устранить эту проблему, установите " Developer Tools »

С Затмение - > Help - > Install New Software ... ->

выберите: " Android Developer Tools обновление сайта - https://dl.google.com/android/eclipse/ "

снимите флажок " Контакты все сайты обновления во время установки, чтобы найти необходимое программное обеспечение " вариант

проверить и установить " Developer Tools "

5tangobravo @

Я имел этот вопрос с последней Eclipse, Луна и плагин ADT - оказалось, несмотря на какCDT и Android Native Developer Tools плагины устанавливаются в Eclipse, Луна, они не работали.

Причиной было то, что я использую Apple, Java 1.6 (который является Java 6 ), и Луна " требует" Java 7 VM. Нет предупреждений были предоставлены, хотя! Чтобы решить ее, я установил последнюю версию JDK от Oracle, а затем обновлен файл eclipse.ini внутри пучка Eclipse.app, добавив 2 строки:

-vm
/Library/Java/JavaVirtualMachines/jdk1.8.0_25.jdk/Contents/Home/bin/java

только перед строкой, которая является -vmargs .

Затем, когда я перезагрузил Eclipse,CDT правильно используется Eclipse -> Preferences... перечислил некоторые C ++ параметры, которые ранее не были там, иAndroid секция имелазапись NDKдопускается указывать путь .